The GreenLake for Reporting service provides a collection of RESTful APIs for generating reports, retrieving supported columns and filters, monitoring asynchronous operations, and querying the status of reports.
GreenLake for Reporting (v1)
- https://global.api.greenlake.hpe.com/reporting/v1/async-operations
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/reporting/public/openapi/reporting-nbapi-latest/v1/report-mgmt/reporting/v1/async-operations
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://global.api.greenlake.hpe.com/reporting/v1/async-operations \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Successful response
The date and time the operation completed. null while the operation has not yet reached the report-delivery stage.
List of progress update objects. This array can be empty.
Percent progress of the operation as an integer value of 0 to 100.
The URI reference to the resource or resource collection that initiated the operation
List of references to resources (other than the source resource) which were created, updated, or deleted during the operation.
{ "items": [ { … } ], "count": 0, "total": 0, "offset": 0 }
Request
Retrieve information about asynchronous operations within the reporting service. Provide the unique identifier of the operation in the parameter to monitor the progress of asynchronous tasks. This API returns the following attributes:
status—Indicates the current status of the asynchronous task.createdAt—Specifies the timestamp when the operation was created.updatedAt—Specifies the timestamp when the operation was last updated.generation—The revision number of the operation, incremented on each update.endedAt—Indicates the timestamp when the operation was completed.logMessages—Provides a list of progress updates for the asynchronous operation.progressPercent—Represents the progress of the operation as a percentage value ranging from 0 to 100.sourceResourceUri—References the source URI that triggered the asynchronous task.results—The results array provides a link to /reporting/v1/statuses/{id} to get the complete details of the report status.
- https://global.api.greenlake.hpe.com/reporting/v1/async-operations/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/reporting/public/openapi/reporting-nbapi-latest/v1/report-mgmt/reporting/v1/async-operations/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://global.api.greenlake.hpe.com/reporting/v1/async-operations/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Successful response
The date and time the operation completed. null while the operation has not yet reached the report-delivery stage.
List of progress update objects. This array can be empty.
Percent progress of the operation as an integer value of 0 to 100.
The URI reference to the resource or resource collection that initiated the operation
List of references to resources (other than the source resource) which were created, updated, or deleted during the operation.
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "state": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "generation": 0, "endedAt": "2019-08-24T14:15:22Z", "logMessages": [ { … } ], "progressPercent": 0, "sourceResourceUri": "string", "results": [ { … } ], "error": { "message": "string", "timestamp": "2019-08-24T14:15:22Z", "debugId": "string" } }